Update robot initialization detection

Change-Id: I0b19fde5d36b4b5582c983979a336eddab46f87c
Issue-ID: INT-278
Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
diff --git a/test/ete/scripts/remote/run-robot.sh b/test/ete/scripts/remote/run-robot.sh
index ff7223a..8eebd9f 100755
--- a/test/ete/scripts/remote/run-robot.sh
+++ b/test/ete/scripts/remote/run-robot.sh
@@ -1,9 +1,10 @@
-#!/bin/bash
+#!/bin/bash -x
 
 cd /opt
 
-if [ ! -x /opt/demo.sh ]; then
-    echo "Robot VM not initialized"
+docker ps | grep -q openecompete_container
+if [ ! $? -eq 0 ]; then
+    echo "Robot not initialized"
     exit 2
 fi
 
@@ -12,7 +13,8 @@
     echo "gary_wu" > /opt/config/openstack_username.txt
     echo $OS_PASSWORD_INPUT > /opt/config/openstack_password.txt
     /bin/bash /opt/eteshare/config/vm_config2robot.sh
-    echo "test" | /opt/demo.sh init_robot
+    # set robot VM http server password
+    echo "admin" | /opt/demo.sh init_robot
 fi
 
 /opt/ete.sh health